import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class DropdowntreeComponent implements OnInit, OnChanges {
    private themesService;
    childrenField: string;
    hasDefaultValue: boolean;
    isDisabled: boolean;
    listHeight: number;
    value: any;
    placeholder: string;
    clearButton: boolean;
    expandBy: string;
    expandedKeys: number[];
    data: any[];
    textField: string;
    readonly: boolean;
    valueField: string;
    footerBtnLabel: string;
    footerBtnIcon: string;
    hasFooterBtn: boolean;
    rounded: "small" | "medium" | "large" | "full" | "none";
    fillMode: "flat" | "solid" | "outline" | "none";
    size: "small" | "medium" | "large" | "none";
    control: FormControl;
    selectedItem: EventEmitter<any>;
    buttonClick: EventEmitter<any>;
    constructor(themesService: ThemesService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    valueChange(e: any): void;
    onButtonClick(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdowntreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdowntreeComponent, "lib-dropdowntree", never, { "childrenField": { "alias": "childrenField"; "required": false; }; "hasDefaultValue": { "alias": "hasDefaultValue"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "listHeight": { "alias": "listHeight"; "required": false; }; "value": { "alias": "value"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "expandBy": { "alias": "expandBy"; "required": false; }; "expandedKeys": { "alias": "expandedKeys"; "required": false; }; "data": { "alias": "data"; "required": false; }; "textField": { "alias": "textField"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; "footerBtnLabel": { "alias": "footerBtnLabel"; "required": false; }; "footerBtnIcon": { "alias": "footerBtnIcon"; "required": false; }; "hasFooterBtn": { "alias": "hasFooterBtn"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "size": { "alias": "size"; "required": false; }; "control": { "alias": "control"; "required": false; }; }, { "selectedItem": "selectedItem"; "buttonClick": "buttonClick"; }, never, never, false, never>;
}
