import { OnInit, ElementRef } from '@angular/core';
import { TypographyType } from '../typography/TypographyType';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class LabelComponent implements OnInit {
    private elRef;
    private themesService;
    text: string;
    hiddenLabel: string;
    labelFont: TypographyType;
    constructor(elRef: ElementRef, themesService: ThemesService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LabelComponent, "lib-label", never, { "text": { "alias": "text"; "required": false; }; "hiddenLabel": { "alias": "hiddenLabel"; "required": false; }; "labelFont": { "alias": "labelFont"; "required": false; }; }, {}, never, ["*"], false, never>;
}
